
_Max7219Init:

;max7219lib.c,1 :: 		void Max7219Init()
;max7219lib.c,3 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,4 :: 		MAX7219_CS_LOAD_DIRECTION=0;
	BCF        MAX7219_CS_LOAD_DIRECTION+0, BitPos(MAX7219_CS_LOAD_DIRECTION+0)
;max7219lib.c,5 :: 		SPI1_Init();
	CALL       _SPI1_Init+0
;max7219lib.c,7 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,8 :: 		SPI1_write(0x09);
	MOVLW      9
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,9 :: 		SPI1_write(0x0f);
	MOVLW      15
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,10 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,12 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,13 :: 		SPI1_write(0x0a);
	MOVLW      10
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,14 :: 		SPI1_write(0x0f);
	MOVLW      15
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,15 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,17 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,18 :: 		SPI1_write(0x0b);
	MOVLW      11
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,19 :: 		SPI1_write(0x03);
	MOVLW      3
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,20 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,22 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,23 :: 		SPI1_write(0x0c);
	MOVLW      12
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,24 :: 		SPI1_write(0x01);
	MOVLW      1
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,25 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,27 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,28 :: 		SPI1_write(0x00);
	CLRF       FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,29 :: 		SPI1_write(0xff);
	MOVLW      255
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,30 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,31 :: 		}
L_end_Max7219Init:
	RETURN
; end of _Max7219Init

_Max7219Print:

;max7219lib.c,33 :: 		void Max7219Print(unsigned int Number)
;max7219lib.c,35 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,36 :: 		SPI1_write(0x01);
	MOVLW      1
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,37 :: 		SPI1_write((Number/1000)%10);
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	MOVF       FARG_Max7219Print_Number+0, 0
	MOVWF      R0+0
	MOVF       FARG_Max7219Print_Number+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,38 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,40 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,41 :: 		SPI1_write(0x02);
	MOVLW      2
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,42 :: 		SPI1_write((Number/100)%10);
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_Max7219Print_Number+0, 0
	MOVWF      R0+0
	MOVF       FARG_Max7219Print_Number+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,43 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,45 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,46 :: 		SPI1_write(0x03);
	MOVLW      3
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,47 :: 		SPI1_write((Number/10)%10);
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_Max7219Print_Number+0, 0
	MOVWF      R0+0
	MOVF       FARG_Max7219Print_Number+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,48 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,50 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,51 :: 		SPI1_write(0x04);
	MOVLW      4
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,52 :: 		SPI1_write(Number%10);
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_Max7219Print_Number+0, 0
	MOVWF      R0+0
	MOVF       FARG_Max7219Print_Number+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,53 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,54 :: 		}
L_end_Max7219Print:
	RETURN
; end of _Max7219Print

_Max7219DisplayOff:

;max7219lib.c,57 :: 		void Max7219DisplayOff()
;max7219lib.c,59 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,60 :: 		SPI1_write(0x0c);
	MOVLW      12
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,61 :: 		SPI1_write(0x00);
	CLRF       FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,62 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,63 :: 		}
L_end_Max7219DisplayOff:
	RETURN
; end of _Max7219DisplayOff

_Max7219DisplayOn:

;max7219lib.c,65 :: 		void Max7219DisplayOn()
;max7219lib.c,67 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,68 :: 		SPI1_write(0x0c);
	MOVLW      12
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,69 :: 		SPI1_write(0x01);
	MOVLW      1
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,70 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,71 :: 		}
L_end_Max7219DisplayOn:
	RETURN
; end of _Max7219DisplayOn

_main:

;MyProject.c,10 :: 		void main()
;MyProject.c,12 :: 		Display.Init();
	MOVF       _Display+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _Display+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,13 :: 		while(1)
L_main0:
;MyProject.c,15 :: 		for(i=0;i<9999;i++)
	CLRF       _i+0
	CLRF       _i+1
L_main2:
	MOVLW      39
	SUBWF      _i+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main11
	MOVLW      15
	SUBWF      _i+0, 0
L__main11:
	BTFSC      STATUS+0, 0
	GOTO       L_main3
;MyProject.c,17 :: 		Display.Print(i);
	MOVF       _Display+5, 0
	MOVWF      FSR
	MOVF       _i+0, 0
	MOVWF      INDF+0
	MOVF       _i+1, 0
	INCF       FSR, 1
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVF       _Display+3, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _Display+4, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,18 :: 		delay_ms(50);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main5:
	DECFSZ     R13+0, 1
	GOTO       L_main5
	DECFSZ     R12+0, 1
	GOTO       L_main5
;MyProject.c,15 :: 		for(i=0;i<9999;i++)
	INCF       _i+0, 1
	BTFSC      STATUS+0, 2
	INCF       _i+1, 1
;MyProject.c,19 :: 		}
	GOTO       L_main2
L_main3:
;MyProject.c,20 :: 		}
	GOTO       L_main0
;MyProject.c,22 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
