#line 1 "C:/Documents and Settings/Nart Schinackow/Desktop/Max7219 Test/MyProject.c"
#line 1 "c:/documents and settings/nart schinackow/desktop/max7219 test/max7219lib.h"
extern sfr sbit MAX7219_CS_LOAD;
extern sfr sbit MAX7219_CS_LOAD_DIRECTION;
#line 1 "c:/documents and settings/nart schinackow/desktop/max7219 test/max7219lib.c"
void Max7219Init()
{
 MAX7219_CS_LOAD=1;
 MAX7219_CS_LOAD_DIRECTION=0;
 SPI1_Init();

 MAX7219_CS_LOAD=0;
 SPI1_write(0x09);
 SPI1_write(0x0f);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_write(0x0a);
 SPI1_write(0x0f);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_write(0x0b);
 SPI1_write(0x03);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_write(0x0c);
 SPI1_write(0x01);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_write(0x00);
 SPI1_write(0xff);
 MAX7219_CS_LOAD=1;
}

void Max7219Print(unsigned int Number)
{
 MAX7219_CS_LOAD=0;
 SPI1_write(0x01);
 SPI1_write((Number/1000)%10);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_write(0x02);
 SPI1_write((Number/100)%10);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_write(0x03);
 SPI1_write((Number/10)%10);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_write(0x04);
 SPI1_write(Number%10);
 MAX7219_CS_LOAD=1;
}


void Max7219DisplayOff()
{
 MAX7219_CS_LOAD=0;
 SPI1_write(0x0c);
 SPI1_write(0x00);
 MAX7219_CS_LOAD=1;
}

void Max7219DisplayOn()
{
 MAX7219_CS_LOAD=0;
 SPI1_write(0x0c);
 SPI1_write(0x01);
 MAX7219_CS_LOAD=1;
}
#line 8 "c:/documents and settings/nart schinackow/desktop/max7219 test/max7219lib.h"
struct Max7219Struct
{
 void (*Init)();
 void (*Print)(unsigned int Number);
 void (*TurnOff)();
 void (*TurnOn)();
}Display={&Max7219Init,&Max7219Print,&Max7219DisplayOff,&Max7219DisplayOn};
#line 3 "C:/Documents and Settings/Nart Schinackow/Desktop/Max7219 Test/MyProject.c"
sfr sbit MAX7219_CS_LOAD at RC0_bit;
sfr sbit MAX7219_CS_LOAD_DIRECTION at TRISC0_bit;

unsigned int i;



void main()
{
 Display.Init();
 while(1)
 {
 for(i=0;i<9999;i++)
 {
 Display.Print(i);
 delay_ms(50);
 }
 }

}
